import styled from 'styled-components'
import { maxScreenWidthMobile, pageMarginLeftRight, pageMarginLeftRightMobile } from './sizes'

export const PageMarginLeftRight = styled.div`
    @media screen and (max-width: ${maxScreenWidthMobile}px) {
        margin-left: ${pageMarginLeftRightMobile};
        margin-right: ${pageMarginLeftRightMobile};
    }
    @media screen and (min-width: ${maxScreenWidthMobile}px) {
        margin-left: ${pageMarginLeftRight};
        margin-right: ${pageMarginLeftRight};
    }
`