// all dates are unix timestamps
export interface IBikePoint {
    id: string,
    url: string,
    commonName: string,
    placeType: string,
    additionalProperties: BikePointProperty[],
    children: any[],
    childrenUrls: string[],
    lat: number,
    lon: number,
}

export interface BikePointProperty {
    category: string,
    key: string,
    sourceSystemKey: string,
    value: string,
    modified: string
}
