// all dates are unix timestamps
export interface IBikePointDetails {
    id: string,
    commonName: string,
    diagrammData: IBikePointActivityMap,
    installDate: number,
    nbDocks: number
    
}

export interface IBikePointActivityAtHourOfDay {
    avgNbRentals: number,
    avgNbReturns: number,
    avgNbTotal:   number

}
export type IBikePointActivityMap = {[hourOfDay: number]: IBikePointActivityAtHourOfDay}