# Dashboard for bike sharing data in London 

## Overview
Our bike sharing dashboard visualizes bike sharing data on three different pages, defined in `src/pages`:
- landing page `/`
- bike points map `/map`
- bike point details `/bike-point-details/:bikePointId`

## Start frontend locally
To run this dashboard for local development: Start the backend first! 

Then, run `npm install` to download all dependencies.

Run `npm start` to start the frontend. It will be available on port 3000.

## Helpful documentation
- [leaflet-react docs](https://react-leaflet.js.org/docs/example-popup-marker)
- [recharts docs](https://recharts.org/en-US/api)
- [find leaflet map providers](https://leaflet-extras.github.io/leaflet-providers/preview/)
