import { DefaultTheme } from 'styled-components'

export const darkTheme: DefaultTheme = {
    colors: {
        primary: '#f1edec',
        secondary: '#f4ba8a',
        backgroundPrimary: '#0c0c0c',
        backgroundSecondary: '#161515',
        backgroundInput: '#232323',
        barChart: '#f4ba8a',
    }
} as const

export const lightTheme: DefaultTheme = {
    colors: {
        primary: '#0c0c0c',
        secondary: '#885d39',
        backgroundPrimary: '#f9f6f5',
        backgroundSecondary: '#e4e8ee',
        backgroundInput: '#d0d0d0',
        barChart: '#885d39',
    }
} as const